Bug 59368 - RFE: LFS support for smbfs
RFE: LFS support for smbfs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-06 11:02 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-06 11:02:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
Tried both smbclient interactive and mounting samba share with samba that came 
with RH 7.1.  Transfer with smbclient ran out of space after filling 88G on my 
drive volume.  Mount showed 50G file as 131M in ls and when I used cp to move 
it to a local drive I only got 131M.  What I got was fine, it was just 
truncated.  This is an oracle database export and the import routine recognized 
the 131M file as a valid export file and ran through it until it hit an 
unexpected end of file.

RedHat software support suggested downloading and installing Samba RPM's from 
the 7.2 folder on the download site (more recent version of Samba).  I did this 
and am now running version 2.2.1a-4.  I remounted the NT4 share and the files 
still show an incorrect size.
When using a windows client to attach to this same share the files show up as 
50.4GB (54,164,785,152 bytes) and 48.4GB (52,009,824,256 bytes).  When using 
the samba mount these files show up as (18,446,744,072,039,761,920 bytes) and 
(470,216,704 bytes).  I used the ftp client on the NT box to connect to the WU-
FTP server on the RH 7.1 box and transfer the smaller (48.4GB) file over.  This 
worked fine and ls on the local file system shows this file as (52,009,824,256 
bytes) which is the same size that NT4 showed.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.mount NT4 share to /mnt/mhic3f
2.ls -l /mnt/mhic3f/TRANSFERS
3.
	

Actual Results:  [root@mhic5 /root]# ls -l /mnt/mhic3f/EXPORTS/
total 3023972
-rwxr-xr-x    1 root     root     18446744072039761920 Jan 14 20:59 
mhic3fullexp_01_14_02.dat
-rwxr-xr-x    1 root     root       133138 Jan 14 20:59 
mhic3fullexp_01_14_02.log
-rwxr-xr-x    1 root     root     470216704 Jan 30 23:38 
mhic3fullexp_01_30_02.dat
-rwxr-xr-x    1 root     root       135448 Jan 30 23:38 
mhic3fullexp_01_30_02.log
-rwxr-xr-x    1 root     root          137 Nov 28 15:04 mhic3fullexp.par
-rwxr-xr-x    1 root     root       878592 Dec 10 09:56 mhmcexp_12_10_01.dat
-rwxr-xr-x    1 root     root          381 Dec 10 09:56 mhmcexp_12_10_01.log
-rwxr-xr-x    1 root     root          117 Dec 10 09:55 mhmcexp.bat
-rwxr-xr-x    1 root     root         2583 Jan 13 10:44 sqlnet.log


Expected Results:  [root@mhic5 /root]# ls -l /mnt/mhic3f/EXPORTS/
total 3023972
-rwxr-xr-x    1 root     root  54164785152 Jan 14 20:59 
mhic3fullexp_01_14_02.dat
-rwxr-xr-x    1 root     root       133138 Jan 14 20:59 
mhic3fullexp_01_14_02.log
-rwxr-xr-x    1 root     root  52009824256 Jan 30 23:38 
mhic3fullexp_01_30_02.dat
-rwxr-xr-x    1 root     root       135448 Jan 30 23:38 
mhic3fullexp_01_30_02.log
-rwxr-xr-x    1 root     root          137 Nov 28 15:04 mhic3fullexp.par
-rwxr-xr-x    1 root     root       878592 Dec 10 09:56 mhmcexp_12_10_01.dat
-rwxr-xr-x    1 root   root          381 Dec 10 09:56 mhmcexp_12_10_01.log
-rwxr-xr-x    1 root     root          117 Dec 10 09:55 mhmcexp.bat
-rwxr-xr-x    1 root     root         2583 Jan 13 10:44 sqlnet.log


Additional info:
Comment 1 Trond Eivind Glomsrxd 2002-02-07 11:44:37 EST
Also a problem when using samba as the server, no NT needed.
Comment 2 Trond Eivind Glomsrxd 2002-02-07 12:13:29 EST
Still a problem with samba 2.2.3a, and a file of 16 GB.
Comment 3 Trond Eivind Glomsrxd 2002-02-07 12:18:29 EST
(also, windows shows the file size correctly as a client)
Comment 4 Trond Eivind Glomsrxd 2002-02-07 12:32:20 EST
smbfs is part of the kernel, samba seems to do it's thing correctly. Reassigning.
Comment 5 Mike Gahagan 2002-06-19 19:23:40 EDT
This is observable with any version of Windows that supports file sizes > 2GB.

Problem still exists on 7.3 w/ errata kernel (2.4.18-4)
Comment 6 Alan Cox 2003-06-07 21:12:29 EDT
We dont plan to fix this for 2.4 series kernels. It will be addressed in the 2.6
based systems. Fixing it for 2.4 systems involves breaking a lot of
compatibility with some tools and is very risky
Comment 7 Bugzilla owner 2004-09-30 11:39:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.